/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

/**
 * This LayerObjectAction superclass can be used for actions that should be global.
 * Implementations of this superclass should be registered as a serviceprovider by using @ServiceProvider(service = GenericLayerObjectAction.class) annotation.
 * The registered implementations will be used as a template to create a new instance, which will be added as action to all layerobjects.
 * Implementation should be stateless.
 * 
 * @author Gerben Feenstra
 */
public abstract class GenericLayerObjectAction extends LayerObjectAction{
    
}
