/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import javax.swing.AbstractAction;
import javax.swing.Icon;

/**
 * utility wrapper for Abstract action to indicate an action on a layer object
 *
 * Layer object actions should extend this class and make themselves know through
 * @ServiceProvider(service=LayerObjectAction.class)
 *
 * Registered actions will be considered global layer object actions and will be added
 * to all layer object nodes. For actions for specific layer objects,  implement the {@link LayerObject#getActions() } method.
 *
 * @author Timon Veenstra
 */
public abstract class LayerObjectAction extends AbstractAction {

    public LayerObjectAction(String name, Icon icon) {
        super(name,icon);
    }

    public LayerObjectAction(String name) {
        super(name);
    }

    public LayerObjectAction() {
        super();
    }

    

}
