/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import java.util.List;
import org.openide.util.Lookup;

/**
 *
 * @author Timon Veenstra
 */
public interface LayerProvider extends Lookup.Provider {

    
    public static final class Locator {

        private Locator(){}
     
        public static List<LayerProvider> findall(){
            return (List<LayerProvider>) Lookup.getDefault().lookupAll(LayerProvider.class);
        }

        public static  <L extends LayerProvider> L findByClass(Class<L> clss){
            return Lookup.getDefault().lookup(clss);
        }
    }
    
     
}
