/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import java.awt.Color;

/**
 * pallete class for raster objects
 * @author Merijn Zengers
 */
public abstract class RasterPalette implements Palette {

    /**
     * gets the color for the provided value
     * @param value the value for which the color should be returned
     * @return the color suited for the value
     */
    @Override
    public abstract Color getColorForValue(Object value);
}
