/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer.events;

import nl.cloudfarming.eventbus.GuiEventKey;

/**
 * layer event keys, used to identify different events
 *
 * @author Timon Veenstra
 */
public enum LayerEventKey implements GuiEventKey {

    /**
     * sends a hint that a layer is no longer valid and should be discarded
     */
    DISCARD_LAYER,
    /**
     * data of a layer have been changed
     */
    DATA_CHANGED_EVENT,
    /**
     * a new layer have been added
     */
    NEW_LAYER,
    /**
     * selection of layer objects have been changed
     */
    SELECTION_CHANGED;

    @Override
    public String getKey() {
        return this.toString();
    }
}
